Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 181703

Summary: net-dns/bind-9.4.1-r1 doesn't compile w/ USE=dlz
Product: Gentoo Linux Reporter: Giampaolo Tomassoni <giampaolo>
Component: Current packagesAssignee: Konstantin Arkhipov (RETIRED) <voxus>
Status: VERIFIED WORKSFORME    
Severity: normal CC: bind+disabled, dertobi123
Priority: High    
Version: 2007.0   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: net-dns:bind-9.4.1-r1:20070611-223313.log

Description Giampaolo Tomassoni 2007-06-11 22:46:39 UTC
On a "stable" system, "emerge bind" doesn't work.

My conf:

Portage 2.1.2.7 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.5-r3, 2.6.20-gentoo-r8 i686)
=================================================================
System uname: 2.6.20-gentoo-r8 i686 Intel(R) Celeron(R) CPU 2.53GHz
Gentoo Base System release 1.12.9
Timestamp of tree: Mon, 11 Jun 2007 18:50:01 +0000
dev-java/java-config: 1.3.7, 2.0.32
dev-lang/python:     2.4.4-r4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -O3 -fexpensive-optimizations -fomit-frame-pointer -g0 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=pentium4 -O3 -fexpensive-optimizations -fomit-frame-pointer -g0 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks fixpackages metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="http://194.117.143.71 http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://85.25.128.62 http://194.117.143.72 http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ http://194.117.143.69 http://mirror.bih.net.ba/gentoo/ http://pandemonium.tiscali.de/pub/gentoo/ http://ftp.club-internet.fr/pub/mirrors/gentoo"
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acl acpi apache2 async atm audiofile avi bash-completion berkdb bitmap-fonts bzip2 cairo caps cli cracklib crypt cups curl dbus dlz dmi dri ethereal expat fam fax foomaticdb fortran gd gdbm gif glib glibc-omitfp gmp gpm gstreamer hal iconv idn imlib ipv6 isdnlog javascript jbig jpeg jpeg2k kde lcms ldap libg++ libwww logrotate mhash midi ming mmx mng motif mudflap mysql nat ncurses nls nptl nptlonly opengl openmp pam parport pch pcre pdf pdflib perl php png postgres ppds pppd prelude python qt3 qt3support qt4 readline recode reflection resolvconf rle samba sensord session slang snmp spell spl sqlite sse sse2 ssl swig syslog tcltk tcpd tetex threads tiff truetype truetype-fonts type1-fonts udev unicode urandom usb utempter x86 xattr xcb xinetd xml xml2 xmlrpc xorg yaz zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse vmmouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="i810"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Please note I already attempted with CFLAGS="-O1 -pipe" and LDFLAGS="", but got the very same results.

Reproducible: Always

Steps to Reproduce:
1.emerge bind
2.
3.

Actual Results:  
i686-pc-linux-gnu-gcc -O2 -pipe -o .libs/named .libs/builtin.o .libs/client.o .libs/config.o .libs/control.o .libs/controlconf.o .libs/interfacemgr.o .libs/listenlist.o .libs/log.o .libs/logconf.o .libs/main.o .libs/notify.o .libs/query.o .libs/server.o .libs/sortlist.o .libs/tkeyconf.o .libs/tsigconf.o .libs/update.o .libs/xfrout.o .libs/zoneconf.o .libs/lwaddr.o .libs/lwresd.o .libs/lwdclient.o .libs/lwderror.o .libs/lwdgabn.o .libs/lwdgnba.o .libs/lwdgrbn.o .libs/lwdnoop.o .libs/lwsearch.o .libs/dlz_drivers.o .libs/sdlz_helper.o .libs/dlz_postgres_driver.o .libs/dlz_mysql_driver.o .libs/dlz_bdb_driver.o .libs/dlz_bdbhpt_driver.o .libs/dlz_filesystem_driver.o .libs/dlz_ldap_driver.o .libs/dlz_stub_driver.o unix/.libs/os.o  ../../lib/lwres/.libs/liblwres.so ../../lib/dns/.libs/libdns.so ../../lib/bind9/.libs/libbind9.so /var/tmp/portage/net-dns/bind-9.4.1-r1/work/bind-9.4.1/lib/isccfg/.libs/libisccfg.so ../../lib/isccfg/.libs/libisccfg.so /var/tmp/portage/net-dns/bind-9.4.1-r1/work/bind-9.4.1/lib/dns/.libs/libdns.so /var/tmp/portage/net-dns/bind-9.4.1-r1/work/bind-9.4.1/lib/isccc/.libs/libisccc.so ../../lib/isccc/.libs/libisccc.so /var/tmp/portage/net-dns/bind-9.4.1-r1/work/bind-9.4.1/lib/isc/.libs/libisc.so ../../lib/isc/.libs/libisc.so -L/usr/lib -lpq -L/usr/lib/mysql -lmysqlclient -lz -lcrypt -lm /usr/lib/libdb-4.2.so -lpthread /usr/lib/libldap.so -lresolv -lssl -lcrypto /usr/lib/liblber.so -lnsl 
.libs/dlz_bdb_driver.o: In function `bdb_opendb':
dlz_bdb_driver.c:(.text+0xb4c): undefined reference to `db_create'
dlz_bdb_driver.c:(.text+0xb58): undefined reference to `db_strerror'
dlz_bdb_driver.c:(.text+0xbd2): undefined reference to `db_strerror'
dlz_bdb_driver.c:(.text+0xc27): undefined reference to `db_strerror'
.libs/dlz_bdb_driver.o: In function `bdb_create':
dlz_bdb_driver.c:(.text+0xd8a): undefined reference to `db_env_create'
dlz_bdb_driver.c:(.text+0xd9b): undefined reference to `db_strerror'
dlz_bdb_driver.c:(.text+0xe20): undefined reference to `db_strerror'
dlz_bdb_driver.c:(.text+0xf8d): undefined reference to `db_strerror'
dlz_bdb_driver.c:(.text+0x1076): undefined reference to `db_strerror'
.libs/dlz_bdbhpt_driver.o: In function `bdbhpt_opendb':
dlz_bdbhpt_driver.c:(.text+0xbac): undefined reference to `db_create'
dlz_bdbhpt_driver.c:(.text+0xbb8): undefined reference to `db_strerror'
dlz_bdbhpt_driver.c:(.text+0xc32): undefined reference to `db_strerror'
dlz_bdbhpt_driver.c:(.text+0xc87): undefined reference to `db_strerror'
.libs/dlz_bdbhpt_driver.o: In function `.L138':
dlz_bdbhpt_driver.c:(.text+0xe95): undefined reference to `db_env_create'
dlz_bdbhpt_driver.c:(.text+0xea5): undefined reference to `db_strerror'
.libs/dlz_bdbhpt_driver.o: In function `.L140':
dlz_bdbhpt_driver.c:(.text+0xfc5): undefined reference to `db_strerror'
collect2: ld returned 1 exit status
make[2]: *** [named] Error 1
make[2]: Leaving directory `/var/tmp/portage/net-dns/bind-9.4.1-r1/work/bind-9.4.1/bin/named'
make[1]: *** [subdirs] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-dns/bind-9.4.1-r1/work/bind-9.4.1/bin'
make: *** [subdirs] Error 1

!!! ERROR: net-dns/bind-9.4.1-r1 failed.
Call stack:
  ebuild.sh, line 1615:   Called dyn_compile
  ebuild.sh, line 972:   Called qa_call 'src_compile'
  ebuild.sh, line 44:   Called src_compile
  bind-9.4.1-r1.ebuild, line 126:   Called die

!!! failed to compile bind
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/log/portage/net-dns:bind-9.4.1-r1:20070611-223313.log'.



Expected Results:  
successful installation of bind-9.4.1-r1
Comment 1 Giampaolo Tomassoni 2007-06-11 22:47:59 UTC
Created attachment 121770 [details]
net-dns:bind-9.4.1-r1:20070611-223313.log

This is the complete building log
Comment 2 Giampaolo Tomassoni 2007-06-17 13:36:43 UTC
Well, actually is "w/ USE=dls and berkdb": emerging it w/ dlz but w/o berkdb do allow to complete the build. (Discovered yesterday).

I.e.: ldap, postgresql and mysql work fine with dlz.

My successful USE was:
  dlz idn ipv6 ldap mysql postgres resolvconf ssl threads urandom -berkdb -doc -odbc (-selinux)

Sorry for naming this package wrong in the subject line.

Regards,

Giampaolo
Comment 3 Tobias Scherbaum (RETIRED) gentoo-dev 2008-05-03 18:36:38 UTC
WORKSFORME. If you believe this problem is still not to fixed please try 9.4.2 and report back.
Comment 4 Giampaolo Tomassoni 2008-05-04 00:38:58 UTC
I just attempted re-emerging net-dns/bind-9.4.1_p1 with both dlz and berkdb USE options. It worked.

I don't know why: it may be that some tuning of the package's ebuild files fixed this issue, or even that in the meanwhile I probably invoked "emerge -ev" at least a couple of times.

Anyway, I would close this bug.
Comment 5 Tobias Scherbaum (RETIRED) gentoo-dev 2008-05-04 08:23:06 UTC
(In reply to comment #4)
> Anyway, I would close this bug.

RESOLVED WORKSFORME is already somewhat closed :) 

Thanks for your feedback!